Get result of a single user for a given interactive lab
Authentication with the “FERMION-API-KEY” header is required to use this endpoint.
Rate limit: Maximum 60 requests in a window of 1m.
cURL
curl --request POST \ --url https://backend.codedamn.com/api/public/get-user-lab-result \ --header 'Content-Type: application/json' \ --header 'FERMION-API-KEY: <api-key>' \ --data ' { "data": [ { "data": { "userId": "<string>", "labId": "<string>" } } ] } '
[ { "output": { "status": "ok", "data": { "challengeResult": { "isLabAttempted": true, "result": [ { "challengeId": "<string>", "isChallengePassed": true, "challengeLabel": "<string>" } ] } } } } ]
API Request Body
Show child attributes
This is a string that you have stored in your database that can uniquely identify a given user
ID of the interactive coding lab you want to get the data for.
API Response Body
ok
true
false
This is a stable, system generated ID by fermion. You can rely on this ID to not change, as long as you do not change challenges in a lab yourself.
If this is true, the user passed this specific challenge
Markdown name of challenge you defined inside fermion dashboard